summaryrefslogtreecommitdiff
path: root/obsolete-buildroot/sources/sedcheck.sh
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2004-05-25 04:32:27 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2004-05-25 04:32:27 +0000
commit3ac1acb9ea70080aaaf49ae211835f057e60eefa (patch)
treea2e08d2be3224409a033d25af8861d9853e72de7 /obsolete-buildroot/sources/sedcheck.sh
parent1eb1b593980fdc06ab92f8e354129b0aadc4f1b0 (diff)
Initial revision
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@30 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'obsolete-buildroot/sources/sedcheck.sh')
-rwxr-xr-xobsolete-buildroot/sources/sedcheck.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/sedcheck.sh b/obsolete-buildroot/sources/sedcheck.sh
new file mode 100755
index 0000000000..4d645b6ab0
--- /dev/null
+++ b/obsolete-buildroot/sources/sedcheck.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if [ -x /usr/bin/sed ]; then
+ SED="/usr/bin/sed";
+else
+ if [ -x /bin/sed ]; then
+ SED="/bin/sed";
+ fi;
+fi;
+
+echo "HELLO" > .sedtest
+$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
+
+if [ $? != 0 ] ; then
+ echo build-sed-host-binary
+else
+ echo use-sed-host-binary
+fi;
+rm -f .sedtest
+
+